<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:th="http://www.thymeleaf.org" xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>Детали заработной платы</title>
</head>
<body>

<h1 th:text="'Отчет по сотруднику ' + ${reportMap['period']}" ></h1>

<p th:text="'Сотрудник: ' + ${employeeMap['FIO']}" ></p>
<p><i th:text="'Дополнительная информация: ' + ${employeeMap['info']}"></i></p>

<div th:if="${reportMap.containsKey('unsuccedReport')}">
    <h3>Не удалось сформировать отчет:</h3>
    <i th:text="${reportMap['unsuccedReport']}"></i>
</div>

<div th:unless="${reportMap.containsKey('unsuccedReport')}">
    <h2>Заработная плата и вычеты</h2>
    <table border="2" width="100%">
        <thead>
            <tr>
                <th rowspan="2">Оклад</th>
                <th rowspan="2">ЗП</th>
                <th rowspan="2">На руки</th>
                <th th:colspan="${#maps.size(employeeTaxMap)}">Отчисления работника</th>
                <th th:if="${companyTaxMap.size() > 0}" th:colspan="${#maps.size(companyTaxMap)}">Отчисления работодателя</th>
            </tr>
            <tr>
                <th th:if="${employeeTaxMap.containsKey('VOSMS')}">ВОСМС</th>
                <th th:if="${employeeTaxMap.containsKey('OPV')}">ОПВ</th>
                <th th:if="${employeeTaxMap.containsKey('IPN')}">ИПН</th>

                <th th:if="${companyTaxMap.containsKey('SO')}">СО</th>
                <th th:if="${companyTaxMap.containsKey('OSMS')}">ОСМС</th>
            </tr>
        </thead>

        <tbody>
            <tr>
                <td th:text="${employeeMap['salaryGross']}"></td>
                <td th:text="${employeeMap['salaryAttendance']}"></td>
                <td th:text="${employeeMap['salaryNet']}"></td>

                <td th:if="${employeeTaxMap.containsKey('VOSMS')}" th:text="${employeeTaxMap['VOSMS']}"></td>
                <td th:if="${employeeTaxMap.containsKey('OPV')}" th:text="${employeeTaxMap['OPV']}"></td>
                <td th:if="${employeeTaxMap.containsKey('IPN')}" th:text="${employeeTaxMap['IPN']}"></td>

                <td th:if="${companyTaxMap.containsKey('SO')}" th:text="${companyTaxMap['SO']}"></td>
                <td th:if="${companyTaxMap.containsKey('OSMS')}" th:text="${companyTaxMap['OSMS']}"></td>
            </tr>
        </tbody>
    </table>

    <p th:text="'Отработано дней: ' + ${employeeMap['weekdays']}"></p>

    <h2 th:if="${attendanceDaysByTypeMap.size() > 1}">Отсутствие на рабочем месте</h2>
    <table th:if="${attendanceDaysByTypeMap.size() > 1}" border="2" width="100%">
        <thead>
            <tr>
                <th>Отсутствие</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('отсутствовал')}">отсутствовал</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('неоплачиваемый отпуск')}">неоплачиваемый отпуск</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('командировка')}">командировка</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('больничный')}">больничный</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('отпуск')}">отпуск</th>

                <th th:if="${attendanceDaysByTypeMap.containsKey('НЕИЗВЕСТНО')}">НЕИЗВЕСТНО</th>

                <th>итог</th>
            </tr>
        </thead>

        <tbody>
            <tr>
                <th>количество дней</th>

                <td th:if="${attendanceDaysByTypeMap.containsKey('отсутствовал')}"
                    th:text="${attendanceDaysByTypeMap['отсутствовал']}"></td>

                <td th:if="${attendanceDaysByTypeMap.containsKey('неоплачиваемый отпуск')}"
                    th:text="${attendanceDaysByTypeMap['неоплачиваемый отпуск']}"></td>

                <td th:if="${attendanceDaysByTypeMap.containsKey('командировка')}"
                    th:text="${attendanceDaysByTypeMap['командировка']}"></td>

                <td th:if="${attendanceDaysByTypeMap.containsKey('больничный')}"
                    th:text="${attendanceDaysByTypeMap['больничный']}"></td>

                <td th:if="${attendanceDaysByTypeMap.containsKey('отпуск')}"
                    th:text="${attendanceDaysByTypeMap['отпуск']}"></td>

                <td th:if="${attendanceDaysByTypeMap.containsKey('НЕИЗВЕСТНО')}"
                    th:text="${attendanceDaysByTypeMap['НЕИЗВЕСТНО']}"></td>

                <td th:text="${attendanceDaysByTypeMap['итог']}"></td>
            </tr>
        </tbody>
    </table>

    <h2 th:if="${hourlyAttendanceList.size() > 1}">Переработки и опоздания</h2>
    <table th:if="${hourlyAttendanceList.size() > 1}" border="2" width="70%">
        <thead>
            <tr>
                <th>Тип записи</th>
                <th>Часы</th>
                <th>Минуты</th>
            </tr>
        </thead>

        <tbody>
            <tr th:each="hAttendance : ${hourlyAttendanceList}">
                <th th:text="${hAttendance['name']}"></th>
                <td th:text="${hAttendance['hours']}"></td>
                <td th:text="${hAttendance['minutes']}"></td>
            </tr>
        </tbody>
    </table>
</div>

<p th:text="'Дата/время формирования отчета (Время астанинское): ' + ${reportMap['createdAt']}"></p>

</body>
</html>
